<template>
    <div>
        <div class="row justify-content-center">
            <div class="col-xl-6 col-lg-12 col-md-9">
                <div class="card shadow-sm my-5">
                    <div class="card-body p-0">
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="login-form">
                                    <div class="text-center">
                                        <h1 class="h4 text-gray-900 mb-4">Login</h1>
                                    </div>
                                    <form class="user" @submit.prevent="login">
                                        <div class="form-group">
                                            <input type="email" class="form-control"
                                                   placeholder="Enter Email Address" v-model="form.email">
                                            <small class="text-danger" v-if="errors.email">{{ errors.email[0] }}</small>
                                        </div>
                                        <div class="form-group">
                                            <input type="password" class="form-control" placeholder="Password"
                                                   v-model="form.password">
                                            <small class="text-danger" v-if="errors.password">{{
                                                    errors.password[0]
                                                }}</small>
                                        </div>
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary btn-block">Login</button>
                                        </div>
                                        <hr>
                                    </form>
                                    <div class="text-center">
                                        <router-link class="font-weight-bold small" to="/register">Create an Account!
                                        </router-link>
                                    </div>
                                    <div class="text-center">
                                        <router-link class="font-weight-bold small" to="/forget">Forget Password!
                                        </router-link>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: "login",
    created() {
        if (User.loggedIn()) {
            this.$router.push('home');
        }
    },
    data() {
        return {
            form: {
                email: null,
                password: null,
            },
            errors: {},
        }
    },
    methods: {
        login() {
            axios.post("/api/auth/login", this.form)
                .then(res => {
                    User.responseAfterLogin(res);
                    Toast.fire({
                        icon: 'success',
                        title: 'Signed in successfully'
                    })
                    this.$router.push('home')
                })
                .catch(error => this.errors = error.response.data.errors)
                .catch(() => {
                        Toast.fire({
                            icon: 'warning',
                            title: 'Invalid Email or Password'
                        })
                    }
                )
        }
    },
}
</script>

<style scoped>

</style>
